Index: /XIOS/trunk/src/config/domain_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/domain_attribute.conf	(revision 788)
+++ /XIOS/trunk/src/config/domain_attribute.conf	(revision 789)
@@ -53,3 +53,2 @@
 DECLARE_ENUM3(type,rectilinear,curvilinear,unstructured)
 DECLARE_ATTRIBUTE(StdString, domain_ref)
-DECLARE_ATTRIBUTE(StdString, domain_src)
Index: /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 788)
+++ /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 789)
@@ -334,30 +334,4 @@
 
 
-  void cxios_set_domain_domain_src(domain_Ptr domain_hdl, const char * domain_src, int domain_src_size)
-  {
-    std::string domain_src_str;
-    if (!cstr2string(domain_src, domain_src_size, domain_src_str)) return;
-    CTimer::get("XIOS").resume();
-    domain_hdl->domain_src.setValue(domain_src_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_domain_src(domain_Ptr domain_hdl, char * domain_src, int domain_src_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(domain_hdl->domain_src.getInheritedValue(), domain_src, domain_src_size))
-      ERROR("void cxios_get_domain_domain_src(domain_Ptr domain_hdl, char * domain_src, int domain_src_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_domain_src(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->domain_src.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_domain_i_index(domain_Ptr domain_hdl, int* i_index, int* extent)
   {
Index: /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 788)
+++ /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 789)
@@ -334,30 +334,4 @@
 
 
-  void cxios_set_domaingroup_domain_src(domaingroup_Ptr domaingroup_hdl, const char * domain_src, int domain_src_size)
-  {
-    std::string domain_src_str;
-    if (!cstr2string(domain_src, domain_src_size, domain_src_str)) return;
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->domain_src.setValue(domain_src_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_domain_src(domaingroup_Ptr domaingroup_hdl, char * domain_src, int domain_src_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(domaingroup_hdl->domain_src.getInheritedValue(), domain_src, domain_src_size))
-      ERROR("void cxios_get_domaingroup_domain_src(domaingroup_Ptr domaingroup_hdl, char * domain_src, int domain_src_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_domain_src(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->domain_src.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_domaingroup_group_ref(domaingroup_Ptr domaingroup_hdl, const char * group_ref, int group_ref_size)
   {
Index: /XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90	(revision 788)
+++ /XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90	(revision 789)
@@ -273,25 +273,4 @@
 
 
-    SUBROUTINE cxios_set_domain_domain_src(domain_hdl, domain_src, domain_src_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: domain_src
-      INTEGER  (kind = C_INT)     , VALUE        :: domain_src_size
-    END SUBROUTINE cxios_set_domain_domain_src
-
-    SUBROUTINE cxios_get_domain_domain_src(domain_hdl, domain_src, domain_src_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: domain_src
-      INTEGER  (kind = C_INT)     , VALUE        :: domain_src_size
-    END SUBROUTINE cxios_get_domain_domain_src
-
-    FUNCTION cxios_is_defined_domain_domain_src(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_domain_src
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_domain_src
-
-
     SUBROUTINE cxios_set_domain_i_index(domain_hdl, i_index, extent) BIND(C)
       USE ISO_C_BINDING
Index: /XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90	(revision 788)
+++ /XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90	(revision 789)
@@ -273,25 +273,4 @@
 
 
-    SUBROUTINE cxios_set_domaingroup_domain_src(domaingroup_hdl, domain_src, domain_src_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: domain_src
-      INTEGER  (kind = C_INT)     , VALUE        :: domain_src_size
-    END SUBROUTINE cxios_set_domaingroup_domain_src
-
-    SUBROUTINE cxios_get_domaingroup_domain_src(domaingroup_hdl, domain_src, domain_src_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: domain_src
-      INTEGER  (kind = C_INT)     , VALUE        :: domain_src_size
-    END SUBROUTINE cxios_get_domaingroup_domain_src
-
-    FUNCTION cxios_is_defined_domaingroup_domain_src(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_domain_src
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_domain_src
-
-
     SUBROUTINE cxios_set_domaingroup_group_ref(domaingroup_hdl, group_ref, group_ref_size) BIND(C)
       USE ISO_C_BINDING
Index: /XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90	(revision 788)
+++ /XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90	(revision 789)
@@ -13,7 +13,7 @@
   SUBROUTINE xios(set_domain_attr)  &
     ( domain_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+    , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -33,5 +33,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_src
       INTEGER  , OPTIONAL, INTENT(IN) :: i_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: ibegin
@@ -59,7 +58,7 @@
       CALL xios(set_domain_attr_hdl_)   &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+      , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(set_domain_attr)
@@ -67,7 +66,7 @@
   SUBROUTINE xios(set_domain_attr_hdl)  &
     ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+    , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -86,5 +85,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_src
       INTEGER  , OPTIONAL, INTENT(IN) :: i_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: ibegin
@@ -111,7 +109,7 @@
       CALL xios(set_domain_attr_hdl_)  &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+      , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(set_domain_attr_hdl)
@@ -120,7 +118,7 @@
     ( domain_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
-    , domain_src_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_  &
-    , lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_  &
-    , standard_name_, type_ )
+    , i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -139,5 +137,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref_
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_src_
       INTEGER  , OPTIONAL, INTENT(IN) :: i_index_(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: ibegin_
@@ -214,8 +211,4 @@
       ENDIF
 
-      IF (PRESENT(domain_src_)) THEN
-        CALL cxios_set_domain_domain_src(domain_hdl%daddr, domain_src_, len(domain_src_))
-      ENDIF
-
       IF (PRESENT(i_index_)) THEN
         CALL cxios_set_domain_i_index(domain_hdl%daddr, i_index_, SHAPE(i_index_))
@@ -302,7 +295,7 @@
   SUBROUTINE xios(get_domain_attr)  &
     ( domain_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+    , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -322,5 +315,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_src
       INTEGER  , OPTIONAL, INTENT(OUT) :: i_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin
@@ -348,7 +340,7 @@
       CALL xios(get_domain_attr_hdl_)   &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+      , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(get_domain_attr)
@@ -356,7 +348,7 @@
   SUBROUTINE xios(get_domain_attr_hdl)  &
     ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+    , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -375,5 +367,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_src
       INTEGER  , OPTIONAL, INTENT(OUT) :: i_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin
@@ -400,7 +391,7 @@
       CALL xios(get_domain_attr_hdl_)  &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+      , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(get_domain_attr_hdl)
@@ -409,7 +400,7 @@
     ( domain_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
-    , domain_src_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_  &
-    , lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_  &
-    , standard_name_, type_ )
+    , i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -428,5 +419,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref_
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_src_
       INTEGER  , OPTIONAL, INTENT(OUT) :: i_index_(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin_
@@ -503,8 +493,4 @@
       ENDIF
 
-      IF (PRESENT(domain_src_)) THEN
-        CALL cxios_get_domain_domain_src(domain_hdl%daddr, domain_src_, len(domain_src_))
-      ENDIF
-
       IF (PRESENT(i_index_)) THEN
         CALL cxios_get_domain_i_index(domain_hdl%daddr, i_index_, SHAPE(i_index_))
@@ -591,7 +577,7 @@
   SUBROUTINE xios(is_defined_domain_attr)  &
     ( domain_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+    , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -624,6 +610,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
       LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_src
-      LOGICAL(KIND=C_BOOL) :: domain_src_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: i_index
       LOGICAL(KIND=C_BOOL) :: i_index_tmp
@@ -668,7 +652,7 @@
       CALL xios(is_defined_domain_attr_hdl_)   &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+      , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domain_attr)
@@ -676,7 +660,7 @@
   SUBROUTINE xios(is_defined_domain_attr_hdl)  &
     ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+    , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+    , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -708,6 +692,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
       LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_src
-      LOGICAL(KIND=C_BOOL) :: domain_src_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: i_index
       LOGICAL(KIND=C_BOOL) :: i_index_tmp
@@ -751,7 +733,7 @@
       CALL xios(is_defined_domain_attr_hdl_)  &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src, i_index  &
-      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
-      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, i_index, ibegin, j_index  &
+      , jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name  &
+      , ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domain_attr_hdl)
@@ -760,7 +742,7 @@
     ( domain_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
-    , domain_src_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_  &
-    , lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_  &
-    , standard_name_, type_ )
+    , i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -792,6 +774,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref_
       LOGICAL(KIND=C_BOOL) :: domain_ref__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_src_
-      LOGICAL(KIND=C_BOOL) :: domain_src__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: i_index_
       LOGICAL(KIND=C_BOOL) :: i_index__tmp
@@ -898,9 +878,4 @@
       ENDIF
 
-      IF (PRESENT(domain_src_)) THEN
-        domain_src__tmp = cxios_is_defined_domain_domain_src(domain_hdl%daddr)
-        domain_src_ = domain_src__tmp
-      ENDIF
-
       IF (PRESENT(i_index_)) THEN
         i_index__tmp = cxios_is_defined_domain_i_index(domain_hdl%daddr)
Index: /XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 788)
+++ /XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 789)
@@ -13,8 +13,7 @@
   SUBROUTINE xios(set_domaingroup_attr)  &
     ( domaingroup_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-    , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-    , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-     )
+    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -34,5 +33,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_src
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       INTEGER  , OPTIONAL, INTENT(IN) :: i_index(:)
@@ -61,8 +59,7 @@
       CALL xios(set_domaingroup_attr_hdl_)   &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-      , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-      , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-       )
+      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr)
@@ -70,8 +67,7 @@
   SUBROUTINE xios(set_domaingroup_attr_hdl)  &
     ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-    , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-    , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-     )
+    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -90,5 +86,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_src
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       INTEGER  , OPTIONAL, INTENT(IN) :: i_index(:)
@@ -116,8 +111,7 @@
       CALL xios(set_domaingroup_attr_hdl_)  &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-      , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-      , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-       )
+      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr_hdl)
@@ -126,7 +120,7 @@
     ( domaingroup_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
-    , domain_src_, group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_  &
-    , long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_  &
-    , nvertex_, standard_name_, type_ )
+    , group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -145,5 +139,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref_
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_src_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
       INTEGER  , OPTIONAL, INTENT(IN) :: i_index_(:)
@@ -221,8 +214,4 @@
       ENDIF
 
-      IF (PRESENT(domain_src_)) THEN
-        CALL cxios_set_domaingroup_domain_src(domaingroup_hdl%daddr, domain_src_, len(domain_src_))
-      ENDIF
-
       IF (PRESENT(group_ref_)) THEN
         CALL cxios_set_domaingroup_group_ref(domaingroup_hdl%daddr, group_ref_, len(group_ref_))
@@ -313,8 +302,7 @@
   SUBROUTINE xios(get_domaingroup_attr)  &
     ( domaingroup_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-    , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-    , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-     )
+    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -334,5 +322,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_src
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       INTEGER  , OPTIONAL, INTENT(OUT) :: i_index(:)
@@ -361,8 +348,7 @@
       CALL xios(get_domaingroup_attr_hdl_)   &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-      , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-      , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-       )
+      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr)
@@ -370,8 +356,7 @@
   SUBROUTINE xios(get_domaingroup_attr_hdl)  &
     ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-    , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-    , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-     )
+    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -390,5 +375,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_src
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       INTEGER  , OPTIONAL, INTENT(OUT) :: i_index(:)
@@ -416,8 +400,7 @@
       CALL xios(get_domaingroup_attr_hdl_)  &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-      , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-      , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-       )
+      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr_hdl)
@@ -426,7 +409,7 @@
     ( domaingroup_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
-    , domain_src_, group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_  &
-    , long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_  &
-    , nvertex_, standard_name_, type_ )
+    , group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -445,5 +428,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref_
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_src_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
       INTEGER  , OPTIONAL, INTENT(OUT) :: i_index_(:)
@@ -521,8 +503,4 @@
       ENDIF
 
-      IF (PRESENT(domain_src_)) THEN
-        CALL cxios_get_domaingroup_domain_src(domaingroup_hdl%daddr, domain_src_, len(domain_src_))
-      ENDIF
-
       IF (PRESENT(group_ref_)) THEN
         CALL cxios_get_domaingroup_group_ref(domaingroup_hdl%daddr, group_ref_, len(group_ref_))
@@ -613,8 +591,7 @@
   SUBROUTINE xios(is_defined_domaingroup_attr)  &
     ( domaingroup_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-    , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-    , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-     )
+    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -647,6 +624,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
       LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_src
-      LOGICAL(KIND=C_BOOL) :: domain_src_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
@@ -693,8 +668,7 @@
       CALL xios(is_defined_domaingroup_attr_hdl_)   &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-      , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-      , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-       )
+      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr)
@@ -702,8 +676,7 @@
   SUBROUTINE xios(is_defined_domaingroup_attr_hdl)  &
     ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-    , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-    , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-     )
+    , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -735,6 +708,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
       LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_src
-      LOGICAL(KIND=C_BOOL) :: domain_src_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
@@ -780,8 +751,7 @@
       CALL xios(is_defined_domaingroup_attr_hdl_)  &
       ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim  &
-      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, domain_src  &
-      , group_ref, i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d  &
-      , lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type  &
-       )
+      , data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_ref, group_ref  &
+      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
+      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr_hdl)
@@ -790,7 +760,7 @@
     ( domaingroup_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
     , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_ref_  &
-    , domain_src_, group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_  &
-    , long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_  &
-    , nvertex_, standard_name_, type_ )
+    , group_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_, lonvalue_1d_  &
+    , lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -822,6 +792,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref_
       LOGICAL(KIND=C_BOOL) :: domain_ref__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_src_
-      LOGICAL(KIND=C_BOOL) :: domain_src__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
       LOGICAL(KIND=C_BOOL) :: group_ref__tmp
@@ -930,9 +898,4 @@
       ENDIF
 
-      IF (PRESENT(domain_src_)) THEN
-        domain_src__tmp = cxios_is_defined_domaingroup_domain_src(domaingroup_hdl%daddr)
-        domain_src_ = domain_src__tmp
-      ENDIF
-
       IF (PRESENT(group_ref_)) THEN
         group_ref__tmp = cxios_is_defined_domaingroup_group_ref(domaingroup_hdl%daddr)
Index: /XIOS/trunk/src/node/domain.cpp
===================================================================
--- /XIOS/trunk/src/node/domain.cpp	(revision 788)
+++ /XIOS/trunk/src/node/domain.cpp	(revision 789)
@@ -35,5 +35,5 @@
       , isClientAfterTransformationChecked(false), hasLonLat(false)
       , lonvalue_client(), latvalue_client(), bounds_lon_client(), bounds_lat_client()
-      , srcObject_(0), isRedistributed_(false)
+      , isRedistributed_(false)
    { /* Ne rien faire de plus */ }
 
@@ -45,5 +45,5 @@
       , isClientAfterTransformationChecked(false), hasLonLat(false)
       , lonvalue_client(), latvalue_client(), bounds_lon_client(), bounds_lat_client()
-      , srcObject_(0), isRedistributed_(false)
+      , isRedistributed_(false)
    { /* Ne rien faire de plus */ }
 
@@ -1925,22 +1925,4 @@
   }
 
-  void CDomain::solveSrcInheritance()
-  {
-    if (!domain_src.isEmpty())
-    {
-       if (!CDomain::has(this->domain_src.getValue()))                                   \
-          ERROR("CDomain::solveSrcInheritance()",                                \
-             << "[ src_name = " << this->domain_src.getValue() << "]"                 \
-             << " invalid domain name !");
-
-       srcObject_ = CDomain::get(this->domain_src.getValue());
-    }
-  }
-
-  CDomain* CDomain::getDomainSrc()
-  {
-    return srcObject_;
-  }
-
   /*!
     Parse children nodes of a domain in xml file.
Index: /XIOS/trunk/src/node/domain.hpp
===================================================================
--- /XIOS/trunk/src/node/domain.hpp	(revision 788)
+++ /XIOS/trunk/src/node/domain.hpp	(revision 789)
@@ -77,6 +77,4 @@
          bool hasTransformation();
          void solveInheritanceTransformation();
-         void solveSrcInheritance();
-         CDomain* getDomainSrc();
          TransMapTypes getAllTransformations();
          void redistribute(int nbLocalDomain);
@@ -197,5 +195,4 @@
          std::vector<int> nGlobDomain_;
          bool isUnstructed_;
-         CDomain* srcObject_;
 
          DECLARE_REF_FUNC(Domain,domain)
Index: /XIOS/trunk/src/node/grid.cpp
===================================================================
--- /XIOS/trunk/src/node/grid.cpp	(revision 788)
+++ /XIOS/trunk/src/node/grid.cpp	(revision 789)
@@ -1240,5 +1240,4 @@
       {
         pDom->solveRefInheritance(apply);
-        pDom->solveSrcInheritance();
         pDom->solveInheritanceTransformation();
       }
